/***************************************************************************
                          SDLsock.c  -  Implements functions that allow
    communication with sockets in a fopen/fprintf-like way.
                             -------------------
    begin                : Sat May 17 2003
    copyright            : (C) 2003 by Tyler Montbriand
    email                : tsm@accesscomm.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation.                            *
 *                                                                         *
 ***************************************************************************/

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdarg.h>
#include "SDLsock.h"

int TCPprintf(TCPsocket sock, const char *cmdstr, ...)
{
  int retval=-1;
  va_list ap;
  
  va_start(ap,cmdstr);
    retval=vTCPprintf(sock,cmdstr,ap);
  va_end(ap);

  return(retval);
}

TCPsocket OpenSock(char *addr, int port)
{
  IPaddress ipaddr;

  if(SDLNet_ResolveHost(&ipaddr,addr,port)<0)
  {
    return(0);
  }

  return(SDLNet_TCP_Open(&ipaddr));
}

int vTCPprintf(TCPsocket sock, const char *cmdstr, va_list ap)
{
  int retval=-1;
  char buf[200];
  buf[0]='\0';
  retval=vsprintf(buf,cmdstr,ap);
  fprintf(stderr,">> %s",buf);
  if(retval>0)
  {
    return(SDLNet_TCP_Send(sock,buf,retval));
  }
  else
  {
    return(retval);
  }
}
